// This file is auto-generated using get_sector_addresses.py
// Don't edit this file by hand. Always use the generator script!

#include <array>

#ifndef SD_SECTOR_ADDRESSES_H
#define SD_SECTOR_ADDRESSES_H

// This file defines the sector addresses of the images to be loaded on the
// screen The sector addresses can be found via the 4D Systems Workshop 4D IDE
// The Graphics Composer of this software should be used:
//  - To load the desired images on the uSD card
//  - To find the sector addresses of said images (via generated .Gc file)

// A sector address on the SD card is defined by
// an address consisting of two parts: high and low bits.
// Both parts specify 2 bytes of the complete address
// So, address = hi << 8 | lo
// These two are split, since that is how the 4dsystems
// serial library addresses images on the SD.
struct SectorAddress
{
  unsigned int hi;
  unsigned int lo;
};

// clang-format off
enum StatesEnum {
  NO_STATE,
  TRAINING_CURB_MENU_CURB_DOWN,
  TRAINING_CURB_MENU_CURB_DOWN_ACTIVATED,
  TRAINING_CURB_MENU_CURB_DOWN_SELECTED,
  TRAINING_CURB_MENU_CURB_UP,
  TRAINING_CURB_MENU_CURB_UP_ACTIVATED,
  TRAINING_CURB_MENU_CURB_UP_SELECTED,
  TRAINING_CURB_MENU_REALSENSE_CURB_DOWN,
  TRAINING_CURB_MENU_REALSENSE_CURB_DOWN_ACTIVATED,
  TRAINING_CURB_MENU_REALSENSE_CURB_DOWN_SELECTED,
  TRAINING_CURB_MENU_REALSENSE_CURB_UP,
  TRAINING_CURB_MENU_REALSENSE_CURB_UP_ACTIVATED,
  TRAINING_CURB_MENU_REALSENSE_CURB_UP_SELECTED,
  TRAINING_OBSTACLE_MENU_CURB_MENU,
  TRAINING_OBSTACLE_MENU_RAMP_MENU,
  TRAINING_OBSTACLE_MENU_SIT_MENU,
  TRAINING_OBSTACLE_MENU_STAIRS_MENU,
  TRAINING_RAMP_DOWN_MENU_RAMP_DOWN,
  TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_ACTIVATED,
  TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP,
  TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP_ACTIVATED,
  TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP_SELECTED,
  TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SELECTED,
  TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP,
  TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP_ACTIVATED,
  TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP_SELECTED,
  TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_START_SINGLE_STEP,
  TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_START_SINGLE_STEP_ACTIVATED,
  TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_START_SINGLE_STEP_SELECTED,
  TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN,
  TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_ACTIVATED,
  TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP,
  TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_ACTIVATED,
  TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_SELECTED,
  TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SELECTED,
  TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP,
  TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP_ACTIVATED,
  TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP_SELECTED,
  TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_START_SINGLE_STEP,
  TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_START_SINGLE_STEP_ACTIVATED,
  TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_START_SINGLE_STEP_SELECTED,
  TRAINING_RAMP_MENU_RAMP_DOWN_MENU,
  TRAINING_RAMP_MENU_RAMP_UP_MENU,
  TRAINING_RAMP_UP_MENU_RAMP_UP,
  TRAINING_RAMP_UP_MENU_RAMP_UP_ACTIVATED,
  TRAINING_RAMP_UP_MENU_RAMP_UP_SELECTED,
  TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP,
  TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP_ACTIVATED,
  TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP_SELECTED,
  TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP,
  TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_ACTIVATED,
  TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SELECTED,
  TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP,
  TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP_ACTIVATED,
  TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP_SELECTED,
  TRAINING_SIT_MENU_REALSENSE_SIT,
  TRAINING_SIT_MENU_REALSENSE_SIT_ACTIVATED,
  TRAINING_SIT_MENU_REALSENSE_SIT_SELECTED,
  TRAINING_SIT_MENU_REALSENSE_STAND,
  TRAINING_SIT_MENU_REALSENSE_STAND_ACTIVATED,
  TRAINING_SIT_MENU_REALSENSE_STAND_SELECTED,
  TRAINING_SIT_MENU_SIT,
  TRAINING_SIT_MENU_SIT_ACTIVATED,
  TRAINING_SIT_MENU_SIT_SELECTED,
  TRAINING_SIT_MENU_STAND,
  TRAINING_SIT_MENU_STAND_ACTIVATED,
  TRAINING_SIT_MENU_STAND_SELECTED,
  TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN,
  TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_ACTIVATED,
  TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SELECTED,
  TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP,
  TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP_ACTIVATED,
  TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP_SELECTED,
  TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN,
  TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_ACTIVATED,
  TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SELECTED,
  TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP,
  TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP_ACTIVATED,
  TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP_SELECTED,
  TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE,
  TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_ACTIVATED,
  TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SELECTED,
  TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP,
  TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP_ACTIVATED,
  TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP_SELECTED,
  TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE,
  TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_ACTIVATED,
  TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SELECTED,
  TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP,
  TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP_ACTIVATED,
  TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP_SELECTED,
  TRAINING_STAIRS_MENU_STAIRS_DOWN_MENU,
  TRAINING_STAIRS_MENU_STAIRS_DOWN_REVERSE_MENU,
  TRAINING_STAIRS_MENU_STAIRS_UP_MENU,
  TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP,
  TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_ACTIVATED,
  TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SELECTED,
  TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP,
  TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_ACTIVATED,
  TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_SELECTED,
  TRAINING_STAIRS_UP_MENU_STAIRS_UP,
  TRAINING_STAIRS_UP_MENU_STAIRS_UP_ACTIVATED,
  TRAINING_STAIRS_UP_MENU_STAIRS_UP_SELECTED,
  TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP,
  TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP_ACTIVATED,
  TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP_SELECTED,
  TRAINING_START_MENU,
  TRAINING_START_MENU_HOME_SIT,
  TRAINING_START_MENU_HOME_SIT_ACTIVATED,
  TRAINING_START_MENU_HOME_SIT_SELECTED,
  TRAINING_START_MENU_OBSTACLE_MENU,
  TRAINING_START_MENU_REALSENSE_CURB_UP_D,
  TRAINING_START_MENU_REALSENSE_CURB_UP_D_ACTIVATED,
  TRAINING_START_MENU_REALSENSE_CURB_UP_D_SELECTED,
  TRAINING_START_MENU_REALSENSE_RAMP_DOWN_D,
  TRAINING_START_MENU_REALSENSE_RAMP_DOWN_D_ACTIVATED,
  TRAINING_START_MENU_REALSENSE_RAMP_DOWN_D_SELECTED,
  TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D,
  TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D_ACTIVATED,
  TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D_SELECTED,
  TRAINING_START_MENU_REALSENSE_RAMP_UP_D,
  TRAINING_START_MENU_REALSENSE_RAMP_UP_D_ACTIVATED,
  TRAINING_START_MENU_REALSENSE_RAMP_UP_D_SELECTED,
  TRAINING_START_MENU_REALSENSE_SIT_D,
  TRAINING_START_MENU_REALSENSE_SIT_D_ACTIVATED,
  TRAINING_START_MENU_REALSENSE_SIT_D_SELECTED,
  TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D,
  TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D_ACTIVATED,
  TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D_SELECTED,
  TRAINING_START_MENU_REALSENSE_STAND_D,
  TRAINING_START_MENU_REALSENSE_STAND_D_ACTIVATED,
  TRAINING_START_MENU_REALSENSE_STAND_D_SELECTED,
  TRAINING_START_MENU_STAND_D,
  TRAINING_START_MENU_STAND_D_ACTIVATED,
  TRAINING_START_MENU_STAND_D_SELECTED,
  TRAINING_WALK_MENU,
  TRAINING_WALK_MENU_HOME_STAND,
  TRAINING_WALK_MENU_HOME_STAND_ACTIVATED,
  TRAINING_WALK_MENU_HOME_STAND_SELECTED,
  TRAINING_WALK_MENU_WALK,
  TRAINING_WALK_MENU_WALK_ACTIVATED,
  TRAINING_WALK_MENU_WALK_LARGE,
  TRAINING_WALK_MENU_WALK_LARGE_ACTIVATED,
  TRAINING_WALK_MENU_WALK_LARGE_SELECTED,
  TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP,
  TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP_ACTIVATED,
  TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP_SELECTED,
  TRAINING_WALK_MENU_WALK_SELECTED,
  TRAINING_WALK_MENU_WALK_SINGLE_STEP,
  TRAINING_WALK_MENU_WALK_SINGLE_STEP_ACTIVATED,
  TRAINING_WALK_MENU_WALK_SINGLE_STEP_SELECTED,
  TURN_OFF
};
static constexpr std::array<const char*, 152> STATE_NAMES {
  "NO_STATE\0",
  "TRAINING_CURB_MENU_CURB_DOWN\0",
  "TRAINING_CURB_MENU_CURB_DOWN_ACTIVATED\0",
  "TRAINING_CURB_MENU_CURB_DOWN_SELECTED\0",
  "TRAINING_CURB_MENU_CURB_UP\0",
  "TRAINING_CURB_MENU_CURB_UP_ACTIVATED\0",
  "TRAINING_CURB_MENU_CURB_UP_SELECTED\0",
  "TRAINING_CURB_MENU_REALSENSE_CURB_DOWN\0",
  "TRAINING_CURB_MENU_REALSENSE_CURB_DOWN_ACTIVATED\0",
  "TRAINING_CURB_MENU_REALSENSE_CURB_DOWN_SELECTED\0",
  "TRAINING_CURB_MENU_REALSENSE_CURB_UP\0",
  "TRAINING_CURB_MENU_REALSENSE_CURB_UP_ACTIVATED\0",
  "TRAINING_CURB_MENU_REALSENSE_CURB_UP_SELECTED\0",
  "TRAINING_OBSTACLE_MENU_CURB_MENU\0",
  "TRAINING_OBSTACLE_MENU_RAMP_MENU\0",
  "TRAINING_OBSTACLE_MENU_SIT_MENU\0",
  "TRAINING_OBSTACLE_MENU_STAIRS_MENU\0",
  "TRAINING_RAMP_DOWN_MENU_RAMP_DOWN\0",
  "TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_ACTIVATED\0",
  "TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP\0",
  "TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP_ACTIVATED\0",
  "TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP_SELECTED\0",
  "TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SELECTED\0",
  "TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP\0",
  "TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP_SELECTED\0",
  "TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_START_SINGLE_STEP\0",
  "TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_START_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_START_SINGLE_STEP_SELECTED\0",
  "TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN\0",
  "TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_ACTIVATED\0",
  "TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP\0",
  "TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_ACTIVATED\0",
  "TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_SELECTED\0",
  "TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SELECTED\0",
  "TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP\0",
  "TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP_SELECTED\0",
  "TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_START_SINGLE_STEP\0",
  "TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_START_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_START_SINGLE_STEP_SELECTED\0",
  "TRAINING_RAMP_MENU_RAMP_DOWN_MENU\0",
  "TRAINING_RAMP_MENU_RAMP_UP_MENU\0",
  "TRAINING_RAMP_UP_MENU_RAMP_UP\0",
  "TRAINING_RAMP_UP_MENU_RAMP_UP_ACTIVATED\0",
  "TRAINING_RAMP_UP_MENU_RAMP_UP_SELECTED\0",
  "TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP\0",
  "TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP_SELECTED\0",
  "TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP\0",
  "TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_ACTIVATED\0",
  "TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SELECTED\0",
  "TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP\0",
  "TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP_SELECTED\0",
  "TRAINING_SIT_MENU_REALSENSE_SIT\0",
  "TRAINING_SIT_MENU_REALSENSE_SIT_ACTIVATED\0",
  "TRAINING_SIT_MENU_REALSENSE_SIT_SELECTED\0",
  "TRAINING_SIT_MENU_REALSENSE_STAND\0",
  "TRAINING_SIT_MENU_REALSENSE_STAND_ACTIVATED\0",
  "TRAINING_SIT_MENU_REALSENSE_STAND_SELECTED\0",
  "TRAINING_SIT_MENU_SIT\0",
  "TRAINING_SIT_MENU_SIT_ACTIVATED\0",
  "TRAINING_SIT_MENU_SIT_SELECTED\0",
  "TRAINING_SIT_MENU_STAND\0",
  "TRAINING_SIT_MENU_STAND_ACTIVATED\0",
  "TRAINING_SIT_MENU_STAND_SELECTED\0",
  "TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN\0",
  "TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_ACTIVATED\0",
  "TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SELECTED\0",
  "TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP\0",
  "TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP_SELECTED\0",
  "TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN\0",
  "TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_ACTIVATED\0",
  "TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SELECTED\0",
  "TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP\0",
  "TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP_SELECTED\0",
  "TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE\0",
  "TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_ACTIVATED\0",
  "TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SELECTED\0",
  "TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP\0",
  "TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP_SELECTED\0",
  "TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE\0",
  "TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_ACTIVATED\0",
  "TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SELECTED\0",
  "TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP\0",
  "TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP_SELECTED\0",
  "TRAINING_STAIRS_MENU_STAIRS_DOWN_MENU\0",
  "TRAINING_STAIRS_MENU_STAIRS_DOWN_REVERSE_MENU\0",
  "TRAINING_STAIRS_MENU_STAIRS_UP_MENU\0",
  "TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP\0",
  "TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_ACTIVATED\0",
  "TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SELECTED\0",
  "TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP\0",
  "TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_SELECTED\0",
  "TRAINING_STAIRS_UP_MENU_STAIRS_UP\0",
  "TRAINING_STAIRS_UP_MENU_STAIRS_UP_ACTIVATED\0",
  "TRAINING_STAIRS_UP_MENU_STAIRS_UP_SELECTED\0",
  "TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP\0",
  "TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP_SELECTED\0",
  "TRAINING_START_MENU\0",
  "TRAINING_START_MENU_HOME_SIT\0",
  "TRAINING_START_MENU_HOME_SIT_ACTIVATED\0",
  "TRAINING_START_MENU_HOME_SIT_SELECTED\0",
  "TRAINING_START_MENU_OBSTACLE_MENU\0",
  "TRAINING_START_MENU_REALSENSE_CURB_UP_D\0",
  "TRAINING_START_MENU_REALSENSE_CURB_UP_D_ACTIVATED\0",
  "TRAINING_START_MENU_REALSENSE_CURB_UP_D_SELECTED\0",
  "TRAINING_START_MENU_REALSENSE_RAMP_DOWN_D\0",
  "TRAINING_START_MENU_REALSENSE_RAMP_DOWN_D_ACTIVATED\0",
  "TRAINING_START_MENU_REALSENSE_RAMP_DOWN_D_SELECTED\0",
  "TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D\0",
  "TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D_ACTIVATED\0",
  "TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D_SELECTED\0",
  "TRAINING_START_MENU_REALSENSE_RAMP_UP_D\0",
  "TRAINING_START_MENU_REALSENSE_RAMP_UP_D_ACTIVATED\0",
  "TRAINING_START_MENU_REALSENSE_RAMP_UP_D_SELECTED\0",
  "TRAINING_START_MENU_REALSENSE_SIT_D\0",
  "TRAINING_START_MENU_REALSENSE_SIT_D_ACTIVATED\0",
  "TRAINING_START_MENU_REALSENSE_SIT_D_SELECTED\0",
  "TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D\0",
  "TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D_ACTIVATED\0",
  "TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D_SELECTED\0",
  "TRAINING_START_MENU_REALSENSE_STAND_D\0",
  "TRAINING_START_MENU_REALSENSE_STAND_D_ACTIVATED\0",
  "TRAINING_START_MENU_REALSENSE_STAND_D_SELECTED\0",
  "TRAINING_START_MENU_STAND_D\0",
  "TRAINING_START_MENU_STAND_D_ACTIVATED\0",
  "TRAINING_START_MENU_STAND_D_SELECTED\0",
  "TRAINING_WALK_MENU\0",
  "TRAINING_WALK_MENU_HOME_STAND\0",
  "TRAINING_WALK_MENU_HOME_STAND_ACTIVATED\0",
  "TRAINING_WALK_MENU_HOME_STAND_SELECTED\0",
  "TRAINING_WALK_MENU_WALK\0",
  "TRAINING_WALK_MENU_WALK_ACTIVATED\0",
  "TRAINING_WALK_MENU_WALK_LARGE\0",
  "TRAINING_WALK_MENU_WALK_LARGE_ACTIVATED\0",
  "TRAINING_WALK_MENU_WALK_LARGE_SELECTED\0",
  "TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP\0",
  "TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP_SELECTED\0",
  "TRAINING_WALK_MENU_WALK_SELECTED\0",
  "TRAINING_WALK_MENU_WALK_SINGLE_STEP\0",
  "TRAINING_WALK_MENU_WALK_SINGLE_STEP_ACTIVATED\0",
  "TRAINING_WALK_MENU_WALK_SINGLE_STEP_SELECTED\0",
  "TURN_OFF\0"
};
static constexpr std::array<SectorAddress, 152> SECTOR_ADDRESSES {
  SectorAddress {0, 0},
  SectorAddress {0x0000, 0x0051},
  SectorAddress {0x0000, 0x00A2},
  SectorAddress {0x0000, 0x01E6},
  SectorAddress {0x0000, 0x0237},
  SectorAddress {0x0000, 0x0288},
  SectorAddress {0x0000, 0x03CC},
  SectorAddress {0x0000, 0x041D},
  SectorAddress {0x0000, 0x046E},
  SectorAddress {0x0000, 0x04BF},
  SectorAddress {0x0000, 0x0510},
  SectorAddress {0x0000, 0x0561},
  SectorAddress {0x0000, 0x05B2},
  SectorAddress {0x0000, 0x0C06},
  SectorAddress {0x0000, 0x0C57},
  SectorAddress {0x0000, 0x0CA8},
  SectorAddress {0x0000, 0x0E3D},
  SectorAddress {0x0000, 0x1677},
  SectorAddress {0x0000, 0x16C8},
  SectorAddress {0x0000, 0x1719},
  SectorAddress {0x0000, 0x176A},
  SectorAddress {0x0000, 0x17BB},
  SectorAddress {0x0000, 0x180C},
  SectorAddress {0x0000, 0x185D},
  SectorAddress {0x0000, 0x18AE},
  SectorAddress {0x0000, 0x18FF},
  SectorAddress {0x0000, 0x1950},
  SectorAddress {0x0000, 0x19A1},
  SectorAddress {0x0000, 0x19F2},
  SectorAddress {0x0000, 0x1A43},
  SectorAddress {0x0000, 0x1A94},
  SectorAddress {0x0000, 0x1AE5},
  SectorAddress {0x0000, 0x1B36},
  SectorAddress {0x0000, 0x1B87},
  SectorAddress {0x0000, 0x1BD8},
  SectorAddress {0x0000, 0x1C29},
  SectorAddress {0x0000, 0x1C7A},
  SectorAddress {0x0000, 0x1CCB},
  SectorAddress {0x0000, 0x1D1C},
  SectorAddress {0x0000, 0x1D6D},
  SectorAddress {0x0000, 0x1DBE},
  SectorAddress {0x0000, 0x1E0F},
  SectorAddress {0x0000, 0x1E60},
  SectorAddress {0x0000, 0x1EB1},
  SectorAddress {0x0000, 0x1F02},
  SectorAddress {0x0000, 0x1F53},
  SectorAddress {0x0000, 0x1FA4},
  SectorAddress {0x0000, 0x1FF5},
  SectorAddress {0x0000, 0x2046},
  SectorAddress {0x0000, 0x2097},
  SectorAddress {0x0000, 0x20E8},
  SectorAddress {0x0000, 0x2139},
  SectorAddress {0x0000, 0x218A},
  SectorAddress {0x0000, 0x21DB},
  SectorAddress {0x0000, 0x222C},
  SectorAddress {0x0000, 0x22CE},
  SectorAddress {0x0000, 0x231F},
  SectorAddress {0x0000, 0x23C1},
  SectorAddress {0x0000, 0x2649},
  SectorAddress {0x0000, 0x269A},
  SectorAddress {0x0000, 0x26EB},
  SectorAddress {0x0000, 0x273C},
  SectorAddress {0x0000, 0x278D},
  SectorAddress {0x0000, 0x27DE},
  SectorAddress {0x0000, 0x2AB7},
  SectorAddress {0x0000, 0x2B08},
  SectorAddress {0x0000, 0x2B59},
  SectorAddress {0x0000, 0x3994},
  SectorAddress {0x0000, 0x39E5},
  SectorAddress {0x0000, 0x3A36},
  SectorAddress {0x0000, 0x3A87},
  SectorAddress {0x0000, 0x3AD8},
  SectorAddress {0x0000, 0x3B29},
  SectorAddress {0x0000, 0x3B7A},
  SectorAddress {0x0000, 0x3BCB},
  SectorAddress {0x0000, 0x3C1C},
  SectorAddress {0x0000, 0x3C6D},
  SectorAddress {0x0000, 0x3CBD},
  SectorAddress {0x0000, 0x3D0D},
  SectorAddress {0x0000, 0x3D5D},
  SectorAddress {0x0000, 0x3DAE},
  SectorAddress {0x0000, 0x3DFF},
  SectorAddress {0x0000, 0x3E50},
  SectorAddress {0x0000, 0x3EA1},
  SectorAddress {0x0000, 0x3EF2},
  SectorAddress {0x0000, 0x3F43},
  SectorAddress {0x0000, 0x3F94},
  SectorAddress {0x0000, 0x3FE5},
  SectorAddress {0x0000, 0x4036},
  SectorAddress {0x0000, 0x4086},
  SectorAddress {0x0000, 0x40D7},
  SectorAddress {0x0000, 0x4178},
  SectorAddress {0x0000, 0x41C9},
  SectorAddress {0x0000, 0x421A},
  SectorAddress {0x0000, 0x426B},
  SectorAddress {0x0000, 0x42BC},
  SectorAddress {0x0000, 0x430D},
  SectorAddress {0x0000, 0x435E},
  SectorAddress {0x0000, 0x43AF},
  SectorAddress {0x0000, 0x4400},
  SectorAddress {0x0000, 0x4451},
  SectorAddress {0x0000, 0x44A2},
  SectorAddress {0x0000, 0x44F3},
  SectorAddress {0x0000, 0x4544},
  SectorAddress {0x0000, 0x4595},
  SectorAddress {0x0000, 0x45E6},
  SectorAddress {0x0000, 0x0000},
  SectorAddress {0x0000, 0x4688},
  SectorAddress {0x0000, 0x46D9},
  SectorAddress {0x0000, 0x472A},
  SectorAddress {0x0000, 0x477B},
  SectorAddress {0x0000, 0x48BF},
  SectorAddress {0x0000, 0x4910},
  SectorAddress {0x0000, 0x4961},
  SectorAddress {0x0000, 0x49B2},
  SectorAddress {0x0000, 0x4A03},
  SectorAddress {0x0000, 0x4A54},
  SectorAddress {0x0000, 0x4AA5},
  SectorAddress {0x0000, 0x4AF6},
  SectorAddress {0x0000, 0x4B47},
  SectorAddress {0x0000, 0x4B98},
  SectorAddress {0x0000, 0x4BE9},
  SectorAddress {0x0000, 0x4C3A},
  SectorAddress {0x0000, 0x4C8B},
  SectorAddress {0x0000, 0x4CDC},
  SectorAddress {0x0000, 0x4D2D},
  SectorAddress {0x0000, 0x4D7E},
  SectorAddress {0x0000, 0x4DCF},
  SectorAddress {0x0000, 0x4E20},
  SectorAddress {0x0000, 0x4E71},
  SectorAddress {0x0000, 0x4EC2},
  SectorAddress {0x0000, 0x4F13},
  SectorAddress {0x0000, 0x5006},
  SectorAddress {0x0000, 0x5057},
  SectorAddress {0x0000, 0x50A8},
  SectorAddress {0x0000, 0x0000},
  SectorAddress {0x0000, 0x53D2},
  SectorAddress {0x0000, 0x5423},
  SectorAddress {0x0000, 0x5474},
  SectorAddress {0x0000, 0x56FC},
  SectorAddress {0x0000, 0x574D},
  SectorAddress {0x0000, 0x579E},
  SectorAddress {0x0000, 0x57EF},
  SectorAddress {0x0000, 0x5840},
  SectorAddress {0x0000, 0x5891},
  SectorAddress {0x0000, 0x58E2},
  SectorAddress {0x0000, 0x5933},
  SectorAddress {0x0000, 0x5984},
  SectorAddress {0x0000, 0x59D5},
  SectorAddress {0x0000, 0x5A26},
  SectorAddress {0x0000, 0x5A77},
  SectorAddress {0x0000, 0x5AC8}
};// clang-format on

#endif  // SD_SECTOR_ADDRESSES_H

